:root {
  font-family: Inter, system-ui, Avenir, Helvetica, Arial, sans-serif;
  line-height: 1.5;
  font-weight: 400;

  color-scheme: light dark;
  color: rgba(255, 255, 255, 0.87);
  background-color: #242424;

  font-synthesis: none;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

a {
  font-weight: 500;
  color: #646cff;
  text-decoration: inherit;
}
a:hover {
  color: #535bf2;
}

body {
  margin: 0;
  display: flex;
  place-items: center;
  min-width: 320px;
  min-height: 100vh;
  justify-content: center;
}

h1 {
  font-size: 3.2em;
  line-height: 1.1;
}
/* Style de base pour les inputs */
input {
  padding: 10px;
  font-size: 16px;
  border: 1px solid #ccc;
  border-radius: 4px;
  width: 100%;
  box-sizing: border-box; /* Garantit que la largeur inclut le padding et la bordure */
  margin-bottom: 10px; /* Marge en bas pour espacement entre les inputs */
}

/* Style lorsque l'input est focusé */
input:focus {
  outline: none; /* Supprime le contour */
  border-color: #007bff; /* Couleur de bordure lors du focus */
  box-shadow: 0 0 5px rgba(0, 123, 255, 0.5); /* Ombre légère */
}

/* Style pour les boutons */
button {
  padding: 10px 20px;
  font-size: 16px;
  background-color: #007bff;
  color: white;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  margin: 5px 0px;
}

button:hover {
  background-color: #0056b3; /* Couleur au survol */
}

button:disabled {
  background-color: #ccc; /* Couleur lorsque le bouton est désactivé */
  cursor: not-allowed;
}
.MessagePage,.ErrorPage,.LostPage,.App{
    border: 1px solid #000;
    padding: 20px;
    background: #eee;
    text-align: center;
}

@media (prefers-color-scheme: light) {
  :root {
    color: #213547;
    background-color: #ffffff;
  }
}
